Skip to main content
GET
/
v2
/
request-logs
curl --location --request GET 'https://api.audienceful.com/v2/request-logs' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <your-api-key>'
import requests

url = "https://api.audienceful.com/v2/request-logs"
headers = {
    "Content-Type": "application/json",
    "X-Api-Key": "<your-api-key>",
}

response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/request-logs", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "X-Api-Key": "<your-api-key>",
  },
});
const data = await response.json();
console.log(data);
{
  "data": [
    {
      "api_key_prefix": "AbCdEf",
      "method": "GET",
      "route": "api/v2/people",
      "status_code": 200,
      "duration_ms": 34,
      "request_id": "9f2c1a7e5b8d4f31a0c6e2d9b7a4f108",
      "created_at": "2026-07-04T12:00:00Z"
    }
  ],
  "has_more": true,
  "next_cursor": "cD0yMDI2LTA3LTA0VDEyOjAwOjAwWg"
}
Requires the reports:read scope. Every API-key request is logged. This endpoint returns your workspace’s recent API activity, most recent first.

Query parameters

page_size
number
default:"100"
The number of log entries to return per page.
cursor
string
The pagination cursor from a previous response’s next_cursor. See Pagination.

Response

data
array
The page of request log entries.
has_more
boolean
Whether more log entries exist after this page.
next_cursor
string or null
The cursor to pass as ?cursor= to fetch the next page.
curl --location --request GET 'https://api.audienceful.com/v2/request-logs' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <your-api-key>'
import requests

url = "https://api.audienceful.com/v2/request-logs"
headers = {
    "Content-Type": "application/json",
    "X-Api-Key": "<your-api-key>",
}

response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/request-logs", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "X-Api-Key": "<your-api-key>",
  },
});
const data = await response.json();
console.log(data);
{
  "data": [
    {
      "api_key_prefix": "AbCdEf",
      "method": "GET",
      "route": "api/v2/people",
      "status_code": 200,
      "duration_ms": 34,
      "request_id": "9f2c1a7e5b8d4f31a0c6e2d9b7a4f108",
      "created_at": "2026-07-04T12:00:00Z"
    }
  ],
  "has_more": true,
  "next_cursor": "cD0yMDI2LTA3LTA0VDEyOjAwOjAwWg"
}